//
//  Team.swift
//  CoreDataMacoun
//
//  Created by Benedikt Terhechte on 10/10/15.
//  Copyright © 2015 Benedikt Terhechte. All rights reserved.
//

import Foundation
import CoreData

enum BookmarkGroup: String {
    case Business = "Business"
    case Sport = "Sport"
    case Entertainment = "Entertainment"
    case News = "News"
}

extension BookmarkGroup: StructDecodable {
    func decodeInto(object: NSManagedObject, withKey key: String) {
        object.setValue(self.rawValue, forKey: key)
    }
}

struct Bookmark: StructDecoder {
    static var EntityName = "Bookmark"
    let title: String?
    let pagerank: Int
    let url: String
    let created: NSDate
    let keywords: [Keyword]
    let group: BookmarkGroup
}

struct Keyword: StructDecoder {
    static var EntityName = "Keyword"
    let name: String
}
